
RSBag - Bug #999
Recording sometimes fails for some channels
06/12/2012 02:16 PM - J. Wienke

Status: Rejected Start date: 06/12/2012
Priority: High Due date:
Assignee: J. Moringen % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 0.6
Description

Recording at one of our partners fails sometimes partially using the recent 0.6 binaries for bag-record. Some streams (which are
definitely running and correctly configured) sometimes do not end up in the recorded tide files. Some other times it works. For the
times it does not work the following errors are reported without crashing:

nao@pollux:~/Downloads$ bag-record --debug -o ~/Data/tide/av_data_test10.tide 'spread://localhost:4803/nao/vision/0'
'spread://localhost:4803/nao/vision/1' 'spread://localhost:4803/nao/audio/all' 
STYLE-WARNING: Undefined alien: "SSLv2_client_method" 
unhandled SB-KERNEL:BOUNDING-INDICES-BAD-ERROR in thread #<SB-THREAD:THREAD
unhandled SB-KERNEL:BOUNDING-INDICES-BAD-ERROR in thread #<SB-THREAD:THREAD
                                                           "Messa
e Receiver                                                            "Messa
e Receiver for #<IN-PUSH spread://localhost:4803/ {1009B2FF53}>" RUNNING
                                                            {1009B29603}>:
                                                            {1009B650D3}>:
  The bounding indices 3 and 2 are bad for a sequence of length 128.
  The bounding indices 3 and 2 are bad for a sequence of length 128.
See also:
See also:
  The ANSI Standard, Glossary entry for "bounding index designator" 
  The ANSI Standard, Glossary entry for "bounding index designator" 
  The ANSI Standard, writeup for Issue SUBSEQ-OUT-OF-BOUNDS:IS-AN-ERROR
  The ANSI Standard, writeup for Issue SUBSEQ-OUT-OF-BOUNDS:IS-AN-ERROR
  The ANSI Standard, writeup for Issue SUBSEQ-OUT-OF-BOUNDS:IS-AN-ERROR

0: (SB-DEBUG::MAP-BACKTRACE #<CLOSURE # {1008028BFB}> :START 0 :COUNT 128)
0: (SB-DEBUG::MAP-BACKTRACE #<CLOSURE # {1008028BFB}> :START 0 :COUNT 128)
1: (BACKTRACE 128 #<SYNONYM-STREAM :SYMBOL SB-SYS:*STDERR* {100021E6F3}>)
2: (BACKTRACE 128 #<SYNONYM-STREAM :SYMBOL SB-SYS:*STDERR* {100021E6F3}>)
2: (SB-DEBUG::DEBUGGER-DISABLED-HOOK
2: (SB-DEBUG::DEBUGGER-DISABLED-HOOK
       #<SB-KERNEL:BOUNDING-INDICES-BAD-ERROR
       #<SB-KERNEL:BOUNDING-INDICES-BAD-ERROR
       #<SB-KERNEL:BOUNDING-INDICES-BAD-ERROR
         expected-type: (CONS (INTEGER 0 128) (INTEGER 3 128)) datum: (3 . 2)>
         expected-type: (CONS (INTEGER 0 128) (INTEGER 3 128)) datum: (3 . 2)>
       #<unavailable argument>)       #<unavailable argument>)
       #<unavailable argument>)       #<unavailable argument>)
3: (SB-DEBUG::RUN-HOOK
3: (SB-DEBUG::RUN-HOOK
       *INVOKE-DEBUGGER-HOOK*
       *INVOKE-DEBUGGER-HOOK*
       #<SB-KERNEL:BOUNDING-INDICES-BAD-ERROR
       #<SB-KERNEL:BOUNDING-INDICES-BAD-ERROR
         expected-type: (CONS (INTEGER 0 128) (INTEGER 3 128)) datum: (3 . 2)>)         expected-type: (CONS (INTEGER 0
128) (INTEGER 3 128)) datum: (3 . 2)>)
4: (INVOKE-DEBUGGER
4: (INVOKE-DEBUGGER
       #<SB-KERNEL:BOUNDING-INDICES-BAD-ERROR
       #<SB-KERNEL:BOUNDING-INDICES-BAD-ERROR

5: 
5: (ERROR
5: (ERROR
(ERROR
    SB-KERNEL:BOUNDING-INDICES-BAD-ERROR
 SB-KERNEL:BOUNDING-INDICES-BAD-ERROR
    :DATUM
 :DATUM
 :DATUM
    (3 . 2)
 (3 . 2)
    :EXPECTED-TYPE
 :EXPECTED-TYPE
 (CONS (INTEGER 0 128) (INTEGER 3 128))
 (CONS (INTEGER 0 128) (INTEGER 3 128))
    (CONS (INTEGER 0 128) (INTEGER 3 128))
 :OBJECT
    :OBJECT
 "  ptional EventMetaData meta_data = 15;;ntId =  causes7713;;pe = 6;;")    "  ptional EventMetaData meta_data = 15;;ntId = 
causes7713;;pe = 6;;")
 "  ptional EventMetaData meta_data = 15;;ntId =  causes7713;;pe = 6;;")    "  ptional EventMetaData meta_data = 15;;ntId = 
causes7713;;pe = 6;;")
6: (SB-INT:SEQUENCE-BOUNDING-INDICES-BAD-ERROR
6: (SB-INT:SEQUENCE-BOUNDING-INDICES-BAD-ERROR
       "  ptional EventMetaData meta_data = 15;;ntId =  causes7713;;pe = 6;;" 
" 
" 
       3
       3
       2)
7: (SB-PRETTY::OUTPUT-LINE
7: (SB-PRETTY::OUTPUT-LINE
       #<SB-PRETTY:PRETTY-STREAM {1007FE7273}>
       #<SB-PRETTY:PRETTY-STREAM {1007FE7273}>
       #S(SB-PRETTY::NEWLINE
       #S(SB-PRETTY::NEWLINE
          :POSN 388
          :POSN 388
          :DEPTH 1
          :DEPTH 1
          :SECTION-END #S(SB-PRETTY::NEWLINE
          :SECTION-END #S(SB-PRETTY::NEWLINE
          :SECTION-END #S(SB-PRETTY::NEWLINE
                          :POSN 425
                          :POSN 425
                          :DEPTH 1

                          :DEPTH 1
                          :KIND :LITERAL)
                          :SECTION-END NIL
                          :KIND :LITERAL)

8: 
8: (SB-PRETTY::MAYBE-OUTPUT #<SB-PRETTY:PRETTY-STREAM {1007FE7273}> T)(SB-PRETTY::MAYBE-OUTPUT
#<SB-PRETTY:PRETTY-STREAM {1007FE7273}> T)
9: (TERPRI #<SB-PRETTY:PRETTY-STREAM {1007FE7273}>)
9: (TERPRI #<SB-PRETTY:PRETTY-STREAM {1007FE7273}>)
10: ((LAMBDA (STREAM &OPTIONAL &REST SB-FORMAT::ARGS)
10: ((LAMBDA (STREAM &OPTIONAL &REST SB-FORMAT::ARGS)
((LAMBDA (STREAM &OPTIONAL &REST SB-FORMAT::ARGS)
           :IN
           :IN
          
"/home/jenkins/workspace/rsbag-tools-cl-0.6/label/ubuntu_lucid_64bit/upstream/cl-protobuf/src/backend/target-proto.lisp")
          
"/home/jenkins/workspace/rsbag-tools-cl-0.6/label/ubuntu_lucid_64bit/upstream/cl-protobuf/src/backend/target-proto.lisp")
sp")
         #<SB-PRETTY:PRETTY-STREAM {1007FE7273}>)         #<SB-PRETTY:PRETTY-STREAM {1007FE7273}>)
11: (FORMAT
11: (FORMAT
         #<SB-PRETTY:PRETTY-STREAM {1007FE7273}>
         #<FUNCTION # {100331A3EB}>)         #<SB-PRETTY:PRETTY-STREAM {1007FE7273}>
         #<FUNCTION # {100331A3EB}>)12: 
12: ((SB-PCL::EMF PROTOCOL-BUFFER.BACKEND:EMIT)
12: ((SB-PCL::EMF PROTOCOL-BUFFER.BACKEND:EMIT)
((SB-PCL::EMF PROTOCOL-BUFFER.BACKEND:EMIT)
 #<unused argument>
     #<unused argument>
 #<unused argument>
 #<unused argument>
     #<unused argument>
     #<PROTOCOL-BUFFER:FIELD-DESC 7 "wire_schema" BYTES OPTIONAL {1000EB1BC3}>
     #<PROTOCOL-BUFFER:FIELD-DESC 7 "wire_schema" BYTES OPTIONAL {1000EB1BC3}>
 #<PROTOCOLOBOL-BR.BACKEND::TARGET-PROTO {1007FC7383}>)3}>)
13: ((SB-PCL::FAST-METHOD PROTOCOL-BUFFER.BACKEND:EMIT :AROUND
13: ((SB-PCL::FAST-METHOD PROTOCOL-BUFFER.BACKEND:EMIT :AROUND
          (T STANDARD-OBJECT))
          (T STANDARD-OBJECT))
         #<unused argument>
         #<unused argument>
         #<unused argument>
         #S(SB-PCL::FAST-METHOD-CALL
         #S(SB-PCL::FAST-METHOD-CALL
            :FUNCTION #
            :FUNCTION #
            :PV NIL
            :PV NIL
            :PV NIL
            :NEXT-METHOD-CALL NIL
            :NEXT-METHOD-CALL NIL
            :ARG-INFO (2 . T))
            :ARG-INFO (2 . T))
            :ARG-INFO (2 . T))
         #<PROTOCOL-BUFFER:FIELD-DESC 7 "wire_schema" BYTES OPTIONAL

           {1000EB1BC3}>
           {1000EB1BC3}>
         #<PROTOCOL-BUFFER.BACKEND::TARGET-PROTO {1007FC7383}>)
         #<PROTOCOL-BUFFER.BACKEND::TARGET-PROTO {1007FC7383}>)
         #<PROTOCOL-BUFFER.BACKEND::TARGET-PROTO {1007FC7383}>)
14: (SB-IMPL::%MAP-FOR-EFFECT-ARITY-1
14: (SB-IMPL::%MAP-FOR-EFFECT-ARITY-1
         #<FUNCTION # {10036177DB}>
         #<FUNCTION # {10036177DB}>
         #(#<PROTOCOL-BUFFER:FIELD-DESC 108 "event_id" MESSAGE REQUIRED         #        
#(#<PROTOCOL-BUFFER:FIELD-DESC 108 "event_id" MESSAGE REQUIRED         #(#<PROTOCOL-BUFFER:FIELD-DESC
108 "event_id" MESSAGE REQUIRED
             {1000EB1B03}>
             {1000EB1B03}>
           #<PROTOCOL-BUFFER:FIELD-DESC 6 "scope" BYTES OPTIONAL {1000EB1B43}>
           #<PROTOCOL-BUFFER:FIELD-DESC 6 "scope" BYTES OPTIONAL {1000EB1B43}>
           #<PROTOCOL-BUFFER:FIELD-DESC 6 "scope" BYTES OPTIONAL {1000EB1B43}>
           #<PROTOCOL-BUFFER:FIELD-DESC 14 "method" BYTES OPTIONAL
             {1000EB1B83}>
             {1000EB1B83}>
           #<PROTOCOL-BUFFER:FIELD-DESC 14 "method" BYTES OPTIONAL
             {1000EB1B83}>

            {1000EB1B83}>
           #<PROTOCOL-BUFFER:FIELD-DESC 7 "wire_schema" BYTES OPTIONALC             {1000EB1BC3}>
             {1000EB1BC3}>
           #<PROTOCOL-BUFFER:FIELD-DESC 7 "wire_schema" BYTES OPTIONAL
             {1000EB1BC3}>
           #<PROTOCOL-BUFFER:FIELD-DESC 9 "data" BYTES OPTIONAL {1000EB1C03}>
           #<PROTOCOL-BUFFER:FIELD-DESC 9 "data" BYTES OPTIONAL {1000EB1C03}>
           #<PROTOCOL-BUFFER:FIELD-DESC 9 "data" BYTES OPTIONAL {1000EB1C03}>
           #<PROTOCOL-BUFFER:FIELD-DESC 13 "causes" MESSAGE REPEATED
           #<PROTOCOL-BUFFER:FIELD-DESC 13 "causes" MESSAGE REPEATED
           #<PROTOCOL-BUFFER:FIELD-DESC 13 "causes" MESSAGE REPEATED
             {1000EB1C43}>
             {1000EB1C43}>
           #<PROTOCOL-BUFFER:FIELD-DESC 15 "meta_data" MESSAGE OPTIONAL
           #<PROTOCOL-BUFFER:FIELD-DESC 15 "meta_data" MESSAGE OPTIONAL
           #<PROTOCOL-BUFFER:FIELD-DESC 15 "meta_data" MESSAGE OPTIONAL
             {1000EB1C83}>))
151: : ((SB-PCL::FAST-METHOD PROTOCOL-BUFFER.BACKEND:EMIT
151: : ((SB-PCL::FAST-METHOD PROTOCOL-BUFFER.BACKEND:EMIT
          (PROTOCOL-BUFFER:MESSAGE-DESC STANDARD-OBJECT))
          (PROTOCOL-BUFFER:MESSAGE-DESC STANDARD-OBJECT))
          (PROTOCOL-BUFFER:MESSAGE-DESC STANDARD-OBJECT))
         #<unused argument>
         #<unused argument>
         #<unused argument>
         #<unused argument>
         #<unused argument>
         #<PROTOCOL-BUFFER:MESSAGE-DESC "Notification" N( 0) E( 0) F( 7)
         #<PROTOCOL-BUFFER:MESSAGE-DESC "Notification" N( 0) E( 0) F( 7)
         #<PROTOCOL-BUFFER:MESSAGE-DESC "Notification" N( 0) E( 0) F( 7)
           {1000EB1AC3}>
           {1000EB1AC3}>
         #<unused argument>)         #<unused argument>)
         #<unused argument>)         #<unused argument>)
16: ((FLET #:WITH-PRETTY-STREAM240 :IN PROTOCOL-BUFFER.BACKEND:EMIT)
16: ((FLET #:WITH-PRETTY-STREAM240 :IN PROTOCOL-BUFFER.BACKEND:EMIT)
         #<SB-PRETTY:PRETTY-STREAM {1007FEA243}>)
17: ((SB-PCL::FAST-METHOD PROTOCOL-BUFFER.BACKEND:EMIT((SB-PCL::FAST-METHOD PROTO
OL-BUFFER.BACKEND17: ((SB-PCL::FAST-METHOD PROTOCOL-BUFFER.BACKEND:EMIT((SB-PCL::FAST-METHOD
PROTO
OL-BUFFER.BACKEND:EMIT
          (PROTOCOL-BUFFER:MESSAGE-DESC PROTOCOL-BUFFER.BACKEND::TARGET-PROTO))
          (PROTOCOL-BUFFER:MESSAGE-DESC PROTOCOL-BUFFER.BACKEND::TARGET-PROTO))
          (PROTOCOL-BUFFER:MESSAGE-DESC PROTOCOL-BUFFER.BACKEND::TARGET-PROTO))
         #<unused argument>
         #<unused argument>
         #S(SB-PCL::FAST-METHOD-CALL
         #S(SB-PCL::FAST-METHOD-CALL
            :FUNCTION #
            :FUNCTION #
            :PV NIL
            :PV NIL
            :NEXT-METHOD-CALL #S(SB-PCL::FAST-METHOD-CALL
            :NEXT-METHOD-CALL #S(SB-PCL::FAST-METHOD-CALL
            :NEXT-METHOD-CALL #S(SB-PCL::FAST-METHOD-CALL
                                 :FUNCTION #
                                 :FUNCTION #
                                 :PV NIL
                                 :PV NIL
                                 :PV NIL
                                 :NEXT-METHOD-CALL NIL
                                 :NEXT-METHOD-CALL NIL
                                 :ARG-INFO (2 . T))
                                 :ARG-INFO (2 . T))
            :ARG-INFO (2 . T))
            :ARG-INFO (2 . T))
            :ARG-INFO (2 . T))
         #<PROTOCOL-BUFFER:MESSAGE-DESC "Notification" N( 0) E( 0) F( 7)
         #<PROTOCOL-BUFFER:MESSAGE-DESC "Notification" N( 0) E( 0) F( 7)
           {1000EB1AC3}>
           {1000EB1AC3}>
         #<PROTOCOL-BUFFER.BACKEND::TARGET-PROTO {1007FC7383}>)
         #<PROTOCOL-BUFFER.BACKEND::TARGET-PROTO {1007FC7383}>)
18: ((SB-PCL::EMF PROTOCOL-BUFFER.BACKEND:EMIT)
18: ((SB-PCL::EMF PROTOCOL-BUFFER.BACKEND:EMIT)
((SB-PCL::EMF PROTOCOL-BUFFER.BACKEND:EMIT)
     #<unused argument>
         #<unused argument>
         #<unused argument>
         #<unused argument>
     #   OTPCOL-COL-BUFFER:MESSAGE-DESC "Notification" N( 0) E( 0) F( 7)
     #   OTPCOL-COL-BUFFER:MESSAGE-DESC "Notification" N( 0) E( 0) F( 7)
       {1000EB1AC3}>
           {1000EB1AC3}>
         #<PROTOCOL-BUFFER.BACKEND::TARGET-PROTO {1007FC7383}>)
         #<PROTOCOL-BUFFER.BACKEND::TARGET-PROTO {1007FC7383}>)
19: ((SB-PCL::FAST-METHOD PROTOCOL-BUFFER.BACKEND:EMIT :AROUND
19: ((SB-PCL::FAST-METHOD PROTOCOL-BUFFER.BACKEND:EMIT :AROUND
          (T STANDARD-OBJECT))
      (T STANDARD-OBJECT))
         #<unused argument>
         #<unused argument>
     #<unused argument>
         #S(SB-PCL::FAST-METHOD-CALL
         #S(SB-PCL::FAST-METHOD-CALL
     #S(SB-PCL::FAST-METHOD-CALL
            :FUNCTION #
        :FUNCTION #
            :PV NIL
        :PV NIL
            :NEXT-METHOD-CALL NIL
        :NEXT-METHOD-CALL NIL
            :ARG-INFO (2 . T))
            :ARG-INFO (2 . T))
        :ARG-INFO (2 . T))
         #<PROTOCOL-BUFFER:MESSAGE-DESC "Notification" N( 0) E( 0) F( 7)
         #<PROTOCOL-BUFFER:MESSAGE-DESC "Notification" N( 0) E( 0) F( 7)
     #<PROTOCOL-BUFFER:MESSAGE-DESC "Notification" N( 0) E( 0) F( 7)
           {1000EB1AC3}>
       {1000EB1AC3}>
     #<PROTOCOL-BUFFER.BACKEND::TARGET-PROTO {1007FC7383}>)        
#<PROTOCOL-BUFFER.BACKEND::TARGET-PROTO {1007FC7383}>)
     #<PROTOCOL-BUFFER.BACKEND::TARGET-PROTO {1007FC7383}>)        
#<PROTOCOL-BUFFER.BACKEND::TARGET-PROTO {1007FC7383}>)
20: (SB-IMPL::%MAP-FOR-EFFECT-ARITY-1
(SB-IM20: (SB-IMPL::%MAP-FOR-EFFECT-ARITY-1
(SB-IMPL::%MAP-FOR-EFFECT-ARITY-1
     #<FUNCTION # {1002EA141B}>
         #<FUNCTION # {1002EA141B}>
     #(#<PROTOCOL-BUFFER:MESSAGE-DESC "Notification" N( 0) E( 0) F( 7)
     #(#<PROTOCOL-BUFFER:MESSAGE-DESC "Notification" N( 0) E( 0) F( 7)
         #(#<PROTOCOL-BUFFER:MESSAGE-DESC "Notification" N( 0) E( 0) F( 7)
         {1000EB1AC3}>))

21: ((SB-PCL::FAST-METHOD PROTOCOL-BUFFER.BACKEND:EMIT
21: ((SB-PCL::FAST-METHOD PROTOCOL-BUFFER.BACKEND:EMIT
         (PROTOCOL-BUFFER:FILE-DESC PROTOCOL-BUFFER.BACKEND::TARGET-PROTO))
         (PROTOCOL-BUFFER:FILE-DESC PROTOCOL-BUFFER.BACKEND::TARGET-PROTO))
         (PROTOCOL-BUFFER:FILE-DESC PROTOCOL-BUFFER.BACKEND::TARGET-PROTO))
        #<unused argument>
        #<unused argument>
        #<unused argument>
        #<unused argument>
        #<unused argument>
        #<PROTOCOL-BUFFER:FILE-DESC "Notification.proto" M( 1) E( 0) S( 0)
        #<PROTOCOL-BUFFER:FILE-DESC "Notification.proto" M( 1) E( 0) S( 0)
        #<PROTOCOL-BUFFER:FILE-DESC "Notification.proto" M( 1) E( 0) S( 0)
          {1000EB1A83}>
          {1000EB1A83}>
        #<unused argument>)
        #<unused argument>)
22: ((SB-PCL::EMF PROTOCOL-BUFFER.BACKEND:EMIT)
(SB-PCL::EMF PROTOC22: ((SB-PCL::EMF PROTOCOL-BUFFER.BACKEND:EMIT)
(SB-PCL::EMF PROTOCOL-BUFFER.BACKEND:EMIT)
         #<unused argument>
     #<unused argument>
         #<unused argument>
     #<unused argument>
       PROTOCOL-BUFFER:FILE-DESC "Notification.proto" M( 1) E( 0) S( 0)( 0)
       PROTOCOL-BUFFER:FILE-DESC "Notification.proto" M( 1) E( 0) S( 0)( 0)
       {1000EB1A83}>
           {1000EB1A83}>
         #<PROTOCOL-BUFFER.BACKEND::TARGET-PROTO {1007FDDBB3}>)
         #<PROTOCOL-BUFFER.BACKEND::TARGET-PROTO {1007FDDBB3}>)
23: ((SB-PCL::FAST-METHOD PROTOCOL-BUFFER.BACKEND:EMIT :AROUND((SB
PCL::FAST-MET23: ((SB-PCL::FAST-METHOD PROTOCOL-BUFFER.BACKEND:EMIT :AROUND((SB
PCL::FAST-METHOD PROTOCOL-BUFFER.BACKEND:EMIT :AROUND
      (T STANDARD-OBJECT))
          (T STANDARD-OBJECT))
     #<un#<unused argument>
     #<un#<unused argument>
         B-PCL::FAST-METHOD-CALLCALL
         B-PCL::FAST-METHOD-CALLCALL
        :FUNCTION #
            :FUNCTION #
        :PV NIL
        :PV NIL
            :PV NIL
        :NEXT-METHOD-CALL NIL
            :NEXT-METHOD-CALL NIL
        :ARG-INFO (2 . T))
        :ARG-INFO (2 . T))
            :ARG-INFO (2 . T))
     #<PROTOCOL-BUFFER:FILE-DESC         #<PROTOCOL-BUFFER:FILE-DESC "Notification.proto" M( 1) E( 0) S( 0)

     #<PROTOCOL-BUFFER:FILE-DESC         #<PROTOCOL-BUFFER:FILE-DESC "Notification.proto" M( 1) E( 0) S( 0)
           {1000EB1A83}>
       {1000EB1A83}>
        ROTOCOL-BUFFER.BACKEND::TARGET-PROTO {1007FDDBB3}>)3}>)
        ROTOCOL-BUFFER.BACKEND::TARGET-PROTO {1007FDDBB3}>)3}>)
24: (SB-KERNEL:%MAP-TO-LIST-ARITY-1
24: (SB-KERNEL:%MAP-TO-LIST-ARITY-1
         #<FUNCTION # {10033AE90B}>
         #<FUNCTION # {10033AE90B}>
         #(#<PROTOCOL-BUFFER:FILE-DESC "Notification.proto" M( 1) E( 0) S( 0)
         #(#<PROTOCOL-BUFFER:FILE-DESC "Notification.proto" M( 1) E( 0) S( 0)
             {1000EB1A83}>
             {1000EB1A83}>
           #<PROTOCOL-BUFFER:FILE-DESC "EventId.proto" M( 1) E( 0) S( 0)
           #<PROTOCOL-BUFFER:FILE-DESC "EventId.proto" M( 1) E( 0) S( 0)
           #<PROTOCOL-BUFFER:FILE-DESC "EventId.proto" M( 1) E( 0) S( 0)
             {1000EB1603}>
             {1000EB1603}>
           #<PROTOCOL-BUFFER:FILE-DESC "EventMetaData.proto" M( 3) E( 0) S( 0)
           #<PROTOCOL-BUFFER:FILE-DESC "EventMetaData.proto" M( 3) E( 0) S( 0)
           #<PROTOCOL-BUFFER:FILE-DESC "EventMetaData.proto" M( 3) E( 0) S( 0)
             {1000EB1703}>))
225: ((SB-PCL::EMF PROTOCOL-BUFFER.BACKEND:EMIT)
25: ((SB-PCL::EMF PROTOCOL-BUFFER.BACKEND:EMIT)
((SB-PCL::EMF PROTOCOL-BUFFER.BACKEND:EMIT)
    #<unused argument>
        #<unused argument>
    #<unused argument>
        #<unused argument>
    #<  OTOCOL-BUL-BUFFER:FILE-SET-DESC (3) {100523C623}>
    #<  OTOCOL-BUL-BUFFER:FILE-SET-DESC (3) {100523C623}>
    #<PROTOCOL-BUFFER.BACKEND::TARGET-PROTO {1007FDDBB3}>)       
#<PROTOCOL-BUFFER.BACKEND::TARGET-PROTO {1007FC7383}>)
26: ((SB-PCL::FAST-METHOD PROTOCOL-BUFFER.BACKEND:EMIT :AROUND
26: ((SB-PCL::FAST-METHOD PROTOCOL-BUFFER.BACKEND:EMIT :AROUND
((SB-PCL::FAST-METHOD PROTOCOL-BUFFER.BACKEND:EMIT :AROUND
      (T STANDARD-OBJECT))
          (T STANDARD-OBJECT))
     #<unused argument>ent>
     #<unused argument>ent>
         #S(SB-PCL::FAST-METHOD-CALL
         #S(SB-PCL::FAST-METHOD-CALL
     #S(SB-PCL::FAST-METHOD-CALL
            :FUNCTION #
        :FUNCTION #
            :PV NIL
        :PV NIL
            :NEXT-METHOD-CALL NIL
        :NEXT-METHOD-CALL NIL
            :ARG-INFO (2 . T))
        :ARG-INFO (2 . T))
         #<PROTOCOL-BUFFER:FILE-SET-DESC (3) {100519C623}>
         #<PROTOCOL-BUFFER:FILE-SET-DESC (3) {100519C623}>
     #<PROTOCOL-BUFFER:FILE-SET-DESC (3) {100519C623}>
         #<PROTOCOL-BUFFER.BACKEND::TARGET-PROTO {1007FDDBB3}>)    
#<PROTOCOL-BUFFER.BACKEND::TARGET-PROTO {1007FC7383}>)
27: ((SB-PCL::FAST-METHOD RSBAG.TRANSFORM:TRANSFORM-FORMAT
27: ((SB-PCL::FAST-METHOD RSBAG.TRANSFORM:TRANSFORM-FORMAT
          (RSBAG.TRANSFORM::RSB-EVENT))
          (RSBAG.TRANSFORM::RSB-EVENT))
         #<unavailable argument>         #<unavailable a
gument>
         #<unavailable argument>         #<unavailable a
gument>         #<unavailable argument>
         #<unavailable argument>
         #<RSBAG.TRANSFORM::RSB-EVENT .rst.vision.Image {1007D8EBB3}>)4453}>)
         #<RSBAG.TRANSFORM::RSB-EVENT .rst.vision.Image {1007D8EBB3}>)4453}>)
28: ((SB-PCL::FAST-METHOD RSBAG.RSB:MAKE-CHANNEL-FOR
28: ((SB-PCL::FAST-METHOD RSBAG.RSB:MAKE-CHANNEL-FOR
          (RSBAG.RSB:CHANNEL-CONNECTION RSB:EVENT RSBAG.RSB::SCOPE-AND-TYPE))
          (RSBAG.RSB:CHANNEL-CONNECTION RSB:EVENT RSBAG.RSB::SCOPE-AND-TYPE))
          (RSBAG.RSB:CHANNEL-CONNECTION RSB:EVENT RSBAG.RSB::SCOPE-AND-TYPE))
         #<unavailable argument>

         #<unavailable argument>
         #<unavailable argument>
         #<unavailable argument>
         #<RSBAG.RSB::RECORDING-CHANNEL-CONNECTION {1009B2BF93}>
         #<RSBAG.RSB::RECORDING-CHANNEL-CONNECTION {1009B2BF93}>
         #<RSBAG.RSB::RECORDING-CHANNEL-CONNECTION {1009B65793}>
         #<RSB:EVENT /nao/vision/1/ #(10 128 192 37 68 ...) (614416) 6894E70F>
         #<RSB:EVENT /nao/vision/1/ #(10 128 192 37 68 ...) (614416) 6894E70F>
         #<RSBAG.RSB::SCOPE-AND-TYPE {1009B65753}>)
29: ((SB-PCL::FAST-METHOD RSB.EVENT-PROCESSING:HANDLE
29: ((SB-PCL::FAST-METHOD RSB.EVENT-PROCESSING:HANDLE
          (RSBAG.RSB::RECORDING-CHANNEL-CONNECTION RSB:EVENT))
          (RSBAG.RSB::RECORDING-CHANNEL-CONNECTION RSB:EVENT))
          (RSBAG.RSB::RECORDING-CHANNEL-CONNECTION RSB:EVENT))
         #<unavailable argument>
         #<unavailable argument>
         #<unavailable argument>
         #<unavailable argument>
         #<unavailable argument>
         #<RSBAG.RSB::RECORDING-CHANNEL-CONNECTION {1009B25793}>
         #<RSBAG.RSB::RECORDING-CHANNEL-CONNECTION {1009B25793}>
         #<RSB:EVENT /nao/audio/all/ #(10 128 128 4 156 ...) (65549) 334B5DC6>)
         #<RSB:EVENT /nao/audio/all/ #(10 128 128 4 156 ...) (65549) 334B5DC6>)
30: ((SB-PCL::FAST-METHOD RSB.EVENT-PROCESSING:HANDLE (LIST T))
30: ((SB-PCL::FAST-METHOD RSB.EVENT-PROCESSING:HANDLE (LIST T))
         #<unavailable argument>
         #<unavailable argument>
         #<unavailable argument>
         #<unavailable argument>
         #<unavailable argument>
         (#<RSBAG.RSB::RECORDING-CHANNEL-CONNECTION {1009B2BF93}>)
         (#<RSBAG.RSB::RECORDING-CHANNEL-CONNECTION {1009B2BF93}>)
         (#<RSBAG.RSB::RECORDING-CHANNEL-CONNECTION {1009B65793}>)
         #<RSB:EVENT /nao/vision/1/ #(10 128 192 37 68 ...) (614416) 6894E70F>)
         #<RSB:EVENT /nao/vision/1/ #(10 128 192 37 68 ...) (614416) 6894E70F>)
         #<RSB:EVENT /nao/audio/all/ #(10 128 128 4 156 ...) (65549) 334B5DC6>)
31: ((LAMBDA () :IN RSB.EVENT-PROCESSING:DISPATCH))
31: ((LAMBDA () :IN RSB.EVENT-PROCESSING:DISPATCH))
32: (RSB.EVENT-PROCESSING:INVOKE-WITH-ERROR-POLICY
32: (RSB.EVENT-PROCESSING:INVOKE-WITH-ERROR-POLICY
         #<#<STANDARD-CLASS (:PROCESSOR 5 :MIXINS)> {1009B2F4E3}>
         #<CLOSURE # {100AFFAC1B}>)
33: ((SB-PCL::EMF RSB.EVENT-PROCESSING:HANDLE)
33: ((SB-PCL::EMF RSB.EVENT-PROCESSING:HANDLE)
         #<unavailable argument>
         #<unavailable argument>
         #<unavailable argument>
         #<unavailable argument>
         #<#<STANDARD-CLASS (:PROCESSOR 5 :MIXINS)> {1009A9A103}>
         #<#<STANDARD-CLASS (:PROCESSOR 5 :MIXINS)> {1009A9A103}>
         #<#<STANDARD-CLASS (:PROCESSOR 5 :MIXINS)> {1009B2F4E3}>
         #<RSB:EVENT /nao/vision/1/ #(10 128 192 37 68 ...) (614416) 6894E70F>)         #<RSB:EVENT /nao/audio/all/ #(10 128
128 4 156 ...) (65549) 334B5DC6>)
34: ((SB-PCL::FAST-METHOD RSB.EVENT-PROCESSING:HANDLE (LIST T))
34: ((SB-PCL::FAST-METHOD RSB.EVENT-PROCESSING:HANDLE (LIST T))
       #<unavailable argument>
         #<unavailable argument>
       #<unavailable argument>
       #<unavailable argument>
         (#<#<STANDARD-CLASS (:PROCESSOR 5 :MIXINS)> {1009A9A103}>)
         (#<#<STANDARD-CLASS (:PROCESSOR 5 :MIXINS)> {1009A9A103}>)
         #<RSB:EVENT /nao/vision/1/ #(10 128 192 37 68 ...) (614416) 6894E70F>)
         #<RSB:EVENT /nao/vision/1/ #(10 128 192 37 68 ...) (614416) 6894E70F>)
35: ((SB-PCL::FAST-METHOD RSB.TRANSPORT:RECEIVE-MESSAGES
35: ((SB-PCL::FAST-METHOD RSB.TRANSPORT:RECEIVE-MESSAGES
          (RSB.TRANSPORT:THREADED-MESSAGE-RECEIVER-MIXIN))
          (RSB.TRANSPORT:THREADED-MESSAGE-RECEIVER-MIXIN))
         #<unavailable argument>
         #<unavailable argument>
         #<unavailable argument>

         #<unavailable argument>
         #<IN-PUSH spread://localhost:4803/ {1009AA0E33}>)
         #<IN-PUSH spread://localhost:4803/ {1009AA0E33}>)
36: (RSB.EVENT-PROCESSING:INVOKE-WITH-ERROR-POLICY
36: (RSB.EVENT-PROCESSING:INVOKE-WITH-ERROR-POLICY
         #<IN-PUSH spread://localhost:4803/ {1009B2FF53}>
     #<IN-PUSH spread://localhost:4803/ {1009AA0E33}>
         #<CLOSURE # {1009B7C11B}>)     #<CLOSURE # {1009B4411B}>)
         #<CLOSURE # {1009B7C11B}>)     #<CLOSURE # {1009B4411B}>)
37: ((SB-PCL::FAST-METHOD RSB.TRANSPORT:RECEIVE-MESSAGES :AROUND
37: ((SB-PCL::FAST-METHOD RSB.TRANSPORT:RECEIVE-MESSAGES :AROUND
          (RSB.TRANSPORT:THREADED-RECEIVER-MIXIN))
          (RSB.TRANSPORT:THREADED-RECEIVER-MIXIN))
         #<unavailable argument>
         #<unavailable argument>
         #<unavailable argument>
         #S(SB-PCL::FAST-METHOD-CALL
         #S(SB-PCL::FAST-METHOD-CALL
         #S(SB-PCL::FAST-METHOD-CALL
            :FUNCTION #
            :FUNCTION #
            :PV NIL
            :PV NIL
            :NEXT-METHOD-CALL #S(SB-PCL::FAST-METHOD-CALL
            :NEXT-METHOD-CALL #S(SB-PCL::FAST-METHOD-CALL
            :NEXT-METHOD-CALL #S(SB-PCL::FAST-METHOD-CALL
                                 :FUNCTION #
                                 :FUNCTION #
                                 :PV NIL
                                 :PV NIL
                                 :PV NIL
                                 :NEXT-METHOD-CALL NIL
                                 :NEXT-METHOD-CALL NIL
                                 :ARG-INFO (1))
                                 :ARG-INFO (1))
                                 :ARG-INFO (1))
            :ARG-INFO (1))
            :ARG-INFO (1))
         #<IN-PUSH spread://localhost:4803/ {1009AA0E33}>)         #<IN-PUSH spread://localhost:4803/ {1009B2FF53}>)
         #<IN-PUSH spread://localhost:4803/ {1009AA0E33}>)         #<IN-PUSH spread://localhost:4803/ {1009B2FF53}>)
38: ((SB-PCL::FAST-METHOD RSB.TRANSPORT:RECEIVE-MESSAGES :AROUND
38: ((SB-PCL::FAST-METHOD RSB.TRANSPORT:RECEIVE-MESSAGES :AROUND
((SB-PCL::FAST-METHOD RSB.TRANSPORT:RECEIVE-MESSAGES :AROUND
          (RSB.TRANSPORT.SPREAD::IN-PUSH-CONNECTOR))
          (RSB.TRANSPORT.SPREAD::IN-PUSH-CONNECTOR))
         #<unavailable argument>
         #<unavailable argument>
         #S(SB-PCL::FAST-METHOD-CALL
         #S(SB-PCL::FAST-METHOD-CALL
            :FUNCTION #
            :FUNCTION #
            :PV NIL
            :PV NIL
            :NEXT-METHOD-CALL #S(SB-PCL::FAST-METHOD-CALL
            :NEXT-METHOD-CALL #S(SB-PCL::FAST-METHOD-CALL
            :NEXT-METHOD-CALL #S(SB-PCL::FAST-METHOD-CALL
                                 :FUNCTION #
                                 :FUNCTION #
                                 :PV NIL
                                 :PV NIL
                                 :NEXT-METHOD-CALL #S(SB-PCL::FAST-METHOD-CALL
                                 :NEXT-METHOD-CALL #S(SB-PCL::FAST-METHOD-CALL
                                 :NEXT-METHOD-CALL #S(SB-PCL::FAST-METHOD-CALL
                                                      :FUNCTION #
                                                      :FUNCTION #
                                                      :PV NIL
                                                      :PV NIL
                                                      :PV NIL
                                                      :NEXT-METHOD-CALL NIL
                                                      :NEXT-METHOD-CALL NIL
                                                      :ARG-INFO (1))
                                                      :ARG-INFO (1))
                                                      :ARG-INFO (1))
                                 :ARG-INFO (1))
            :ARG-INFO (1))
            :ARG-INFO (1))
            :ARG-INFO (1))
         #<IN-PUSH spread://localhost:4803/ {1009AA0E33}>)         #<IN-PUSH spread://localhost:4803/ {1009B2FF53}>)
39: ((LAMBDA () :IN BORDEAUX-THREADS::BINDING-DEFAULT-SPECIALS))
39: ((LAMBDA () :IN BORDEAUX-THREADS::BINDING-DEFAULT-SPECIALS))
40: ((FLET #:WITHOUT-INTERRUPTS-BODY-238228 :IN SB-THREAD:MAKE-THREAD))
40: ((FLET #:WITHOUT-INTERRUPTS-BODY-238228 :IN SB-THREAD:MAKE-THREAD))
41: ((FLET SB-THREAD::WITH-MUTEX-THUNK :IN SB-THREAD:MAKE-THREAD))
41: ((FLET SB-THREAD::WITH-MUTEX-THUNK :IN SB-THREAD:MAKE-THREAD))
42: ((FLET #:WITHOUT-INTERRUPTS-BODY-88859 :IN SB-THREAD::CALL-WITH-MUTEX))
42: ((FLET #:WITHOUT-INTERRUPTS-BODY-88859 :IN SB-THREAD::CALL-WITH-MUTEX))
43: (SB-THREAD::CALL-WITH-MUTEX
43: (SB-THREAD::CALL-WITH-MUTEX
         #<CLOSURE # {7FFFF50A6CCB}>
         #<CLOSURE # {7FFFF54F6CCB}>
         #<SB-THREAD:MUTEX "thread result lock" 
         #<SB-THREAD:MUTEX "thread result lock" 
             owner: #<SB-THREAD:THREAD
             owner: #<SB-THREAD:THREAD
                      "Message Receiver for #<IN-PUSH spread://localhost:4803/ {1009AA0E33}>" RUNNING
                      "Message Receiver for #<IN-PUSH spread://localhost:4803/ {1009AA0E33}>" RUNNING
                       {1009B29603}>>
                       {1009B29603}>>
                       {1009B650D3}>>
         #<SB-THREAD:THREAD
         #<SB-THREAD:THREAD
         #<SB-THREAD:THREAD
           "Message Receiver for #<IN-PUSH spread://localhost:4803/ {1009AA0E33}>" RUNNING
           "Message Receiver for #<IN-PUSH spread://localhost:4803/ {1009B2FF53}>" RUNNING

            {1009B650D3}>
         T)
44: (SB-THREAD::INITIAL-THREAD-FUNCTION)(SB-THREAD::INITIAL-THREAD-FUNCTION)
45: ("foreign function: call_into_lisp")("foreign function: call_into_lisp")
46("foreign function: n: _thread_trampoline")

nhandled condition in --disable-debugger mode, quittingf
nhandled condition in --disable-debugger mode, quittingfunhandled condition in --disable-debugger mode, quitting
unhandled SB-INT:CLOSED-STREAM-ERROR in thread #<SB-THREAD:THREAD
                                                 "Message Receiver for #<IN-PUSH spread://localhost:4803/ {1009AA0E33}>" RUNNING
                                                  {1009B29603}>:
  #<SB-IMPL::STRING-OUTPUT-STREAM {1007F27403}> is closed

0: (SB-DEBUG::MAP-BACKTRACE
    #<CLOSURE (LAMBDA # :IN BACKTRACE) {10084FF91B}>
    :START
    0
    :COUNT
    128)
1: (BACKTRACE 128 #<SYNONYM-STREAM :SYMBOL SB-SYS:*STDERR* {100021E6F3}>)
2: (SB-DEBUG::DEBUGGER-DISABLED-HOOK
    #<SB-INT:CLOSED-STREAM-ERROR {10084FCAE3}>
    #<unavailable argument>)
3: (SB-DEBUG::RUN-HOOK
    *INVOKE-DEBUGGER-HOOK*
    #<SB-INT:CLOSED-STREAM-ERROR {10084FCAE3}>)
4: (INVOKE-DEBUGGER #<SB-INT:CLOSED-STREAM-ERROR {10084FCAE3}>)
5: (ERROR
    SB-INT:CLOSED-STREAM-ERROR
    :STREAM
    #<SB-IMPL::STRING-OUTPUT-STREAM {1007F27403}>)
6: (SB-KERNEL:CLOSED-FLAME #<SB-IMPL::STRING-OUTPUT-STREAM {1007F27403}>)
7: (SB-IMPL::%WRITE-STRING
    "}" 
    #<SB-IMPL::STRING-OUTPUT-STREAM {1007F27403}>
    0
    NIL)
8: ((LAMBDA (STREAM &OPTIONAL &REST SB-FORMAT::ARGS)
      :IN
      "/home/jenkins/workspace/rsbag-tools-cl-0.6/label/ubuntu_lucid_64bit/upstream/cl-protobuf/src/backend/target-proto.lisp") 
    #<SB-IMPL::STRING-OUTPUT-STREAM {1007F27403}>)
9: (FORMAT
    #<SB-IMPL::STRING-OUTPUT-STREAM {1007F27403}>
    #<FUNCTION (LAMBDA #
                 :IN
                
"/home/jenkins/workspace/rsbag-tools-cl-0.6/label/ubuntu_lucid_64bit/upstream/cl-protobuf/src/backend/target-proto.lisp")
      {100361AFDB}>)
10: ((FLET #:CLEANUP-FUN-223 :IN PROTOCOL-BUFFER.BACKEND:EMIT))[:CLEANUP]
11: ((SB-PCL::FAST-METHOD PROTOCOL-BUFFER.BACKEND:EMIT
      (PROTOCOL-BUFFER:MESSAGE-DESC PROTOCOL-BUFFER.BACKEND::TARGET-PROTO))
     #<unused argument>
     #S(SB-PCL::FAST-METHOD-CALL
        :FUNCTION #<FUNCTION #>
        :PV NIL
        :NEXT-METHOD-CALL #S(SB-PCL::FAST-METHOD-CALL
                             :FUNCTION #
                             :PV NIL
                             :NEXT-METHOD-CALL NIL
                             :ARG-INFO (2 . T))
        :ARG-INFO (2 . T))
     #<PROTOCOL-BUFFER:MESSAGE-DESC "Notification" N( 0) E( 0) F( 7)
       {1000EB1AC3}>
     #<PROTOCOL-BUFFER.BACKEND::TARGET-PROTO {1007FC7383}>)
12: ((SB-PCL::EMF PROTOCOL-BUFFER.BACKEND:EMIT)
     #<unused argument>
     #<unused argument>
     #<PROTOCOL-BUFFER:MESSAGE-DESC "Notification" N( 0) E( 0) F( 7)
       {1000EB1AC3}>
     #<PROTOCOL-BUFFER.BACKEND::TARGET-PROTO {1007FC7383}>)
13: ((SB-PCL::FAST-METHOD PROTOCOL-BUFFER.BACKEND:EMIT :AROUND
      (T STANDARD-OBJECT))
     #<unused argument>
     #S(SB-PCL::FAST-METHOD-CALL
        :FUNCTION #<CLOSURE # {1007FE983B}>
        :PV NIL
        :NEXT-METHOD-CALL NIL
        :ARG-INFO (2 . T))
     #<PROTOCOL-BUFFER:MESSAGE-DESC "Notification" N( 0) E( 0) F( 7)
       {1000EB1AC3}>
     #<PROTOCOL-BUFFER.BACKEND::TARGET-PROTO {1007FC7383}>)
14: (SB-IMPL::%MAP-FOR-EFFECT-ARITY-1
     #<FUNCTION (FLET PROTOCOL-BUFFER.BACKEND::RECUR :IN PROTOCOL-BUFFER.BACKEND:EMIT)
       {1002EA141B}>
     #(#<PROTOCOL-BUFFER:MESSAGE-DESC "Notification" N( 0) E( 0) F( 7)
         {1000EB1AC3}>))
15: ((SB-PCL::FAST-METHOD PROTOCOL-BUFFER.BACKEND:EMIT
      (PROTOCOL-BUFFER:FILE-DESC PROTOCOL-BUFFER.BACKEND::TARGET-PROTO))
     #<unused argument>
     #<unused argument>
     #<PROTOCOL-BUFFER:FILE-DESC "Notification.proto" M( 1) E( 0) S( 0)
       {1000EB1A83}>
     #<unused argument>)
16: ((SB-PCL::EMF PROTOCOL-BUFFER.BACKEND:EMIT)
     #<unused argument>
     #<unused argument>
     #<PROTOCOL-BUFFER:FILE-DESC "Notification.proto" M( 1) E( 0) S( 0)
       {1000EB1A83}>
     #<PROTOCOL-BUFFER.BACKEND::TARGET-PROTO {1007FDDBB3}>)
17: ((SB-PCL::FAST-METHOD PROTOCOL-BUFFER.BACKEND:EMIT :AROUND
      (T STANDARD-OBJECT))
     #<unused argument>
     #S(SB-PCL::FAST-METHOD-CALL
        :FUNCTION #<CLOSURE # {1007E8D52B}>
        :PV NIL
        :NEXT-METHOD-CALL NIL
        :ARG-INFO (2 . T))
     #<PROTOCOL-BUFFER:FILE-DESC "Notification.proto" M( 1) E( 0) S( 0)
       {1000EB1A83}>
     #<PROTOCOL-BUFFER.BACKEND::TARGET-PROTO {1007FDDBB3}>)
18: (SB-KERNEL:%MAP-TO-LIST-ARITY-1
     #<FUNCTION (FLET PROTOCOL-BUFFER.BACKEND::RECUR :IN PROTOCOL-BUFFER.BACKEND:EMIT)
       {10033AE90B}>
     #(#<PROTOCOL-BUFFER:FILE-DESC "Notification.proto" M( 1) E( 0) S( 0)
         {1000EB1A83}>
       #<PROTOCOL-BUFFER:FILE-DESC "EventId.proto" M( 1) E( 0) S( 0)
         {1000EB1603}>
       #<PROTOCOL-BUFFER:FILE-DESC "EventMetaData.proto" M( 3) E( 0) S( 0)
         {1000EB1703}>))
19: ((SB-PCL::EMF PROTOCOL-BUFFER.BACKEND:EMIT)
     #<unused argument>
     #<unused argument>
     #<PROTOCOL-BUFFER:FILE-SET-DESC (3) {100519C623}>
     #<PROTOCOL-BUFFER.BACKEND::TARGET-PROTO {1007FDDBB3}>)
20: ((SB-PCL::FAST-METHOD PROTOCOL-BUFFER.BACKEND:EMIT :AROUND
      (T STANDARD-OBJECT))
     #<unused argument>
     #S(SB-PCL::FAST-METHOD-CALL
        :FUNCTION #<CLOSURE # {1007FE0C6B}>
        :PV NIL
        :NEXT-METHOD-CALL NIL
        :ARG-INFO (2 . T))
     #<PROTOCOL-BUFFER:FILE-SET-DESC (3) {100519C623}>
     #<PROTOCOL-BUFFER.BACKEND::TARGET-PROTO {1007FDDBB3}>)
21: ((SB-PCL::FAST-METHOD RSBAG.TRANSFORM:TRANSFORM-FORMAT
      (RSBAG.TRANSFORM::RSB-EVENT))
     #<unavailable argument>
     #<unavailable argument>
     #<RSBAG.TRANSFORM::RSB-EVENT .rst.vision.Image {1007D8EBB3}>)
22: ((SB-PCL::FAST-METHOD RSBAG.RSB:MAKE-CHANNEL-FOR
      (RSBAG.RSB:CHANNEL-CONNECTION RSB:EVENT RSBAG.RSB::SCOPE-AND-TYPE))
     #<unavailable argument>
     #<unavailable argument>
     #<RSBAG.RSB::RECORDING-CHANNEL-CONNECTION {1009B2BF93}>
     #<RSB:EVENT /nao/vision/1/ #(10 128 192 37 68 ...) (614416) 6894E70F>
     #<RSBAG.RSB::SCOPE-AND-TYPE {1009B2BF53}>)
23: ((SB-PCL::FAST-METHOD RSB.EVENT-PROCESSING:HANDLE
      (RSBAG.RSB::RECORDING-CHANNEL-CONNECTION RSB:EVENT))
     #<unavailable argument>
     #<unavailable argument>
     #<RSBAG.RSB::RECORDING-CHANNEL-CONNECTION {1009B2BF93}>
     #<RSB:EVENT /nao/vision/1/ #(10 128 192 37 68 ...) (614416) 6894E70F>)
24: ((SB-PCL::FAST-METHOD RSB.EVENT-PROCESSING:HANDLE (LIST T))
     #<unavailable argument>
     #<unavailable argument>
     (#<RSBAG.RSB::RECORDING-CHANNEL-CONNECTION {1009B2BF93}>)
     #<RSB:EVENT /nao/vision/1/ #(10 128 192 37 68 ...) (614416) 6894E70F>)
25: ((LAMBDA () :IN RSB.EVENT-PROCESSING:DISPATCH))
26: (RSB.EVENT-PROCESSING:INVOKE-WITH-ERROR-POLICY
     #<#<STANDARD-CLASS (:PROCESSOR 5 :MIXINS)> {1009A9A103}>
     #<CLOSURE (LAMBDA # :IN RSB.EVENT-PROCESSING:DISPATCH) {100B00CFAB}>)
27: ((SB-PCL::EMF RSB.EVENT-PROCESSING:HANDLE)
     #<unavailable argument>
     #<unavailable argument>
     #<#<STANDARD-CLASS (:PROCESSOR 5 :MIXINS)> {1009A9A103}>
     #<RSB:EVENT /nao/vision/1/ #(10 128 192 37 68 ...) (614416) 6894E70F>)
28: ((SB-PCL::FAST-METHOD RSB.EVENT-PROCESSING:HANDLE (LIST T))
     #<unavailable argument>
     #<unavailable argument>
     (#<#<STANDARD-CLASS (:PROCESSOR 5 :MIXINS)> {1009A9A103}>)
     #<RSB:EVENT /nao/vision/1/ #(10 128 192 37 68 ...) (614416) 6894E70F>)
29: ((SB-PCL::FAST-METHOD RSB.TRANSPORT:RECEIVE-MESSAGES
      (RSB.TRANSPORT:THREADED-MESSAGE-RECEIVER-MIXIN))
     #<unavailable argument>
     #<unavailable argument>
     #<IN-PUSH spread://localhost:4803/ {1009AA0E33}>)
30: (RSB.EVENT-PROCESSING:INVOKE-WITH-ERROR-POLICY
     #<IN-PUSH spread://localhost:4803/ {1009AA0E33}>
     #<CLOSURE (LAMBDA # :IN RSB.TRANSPORT:RECEIVE-MESSAGES) {1009B4411B}>)
31: ((SB-PCL::FAST-METHOD RSB.TRANSPORT:RECEIVE-MESSAGES :AROUND
      (RSB.TRANSPORT:THREADED-RECEIVER-MIXIN))
     #<unavailable argument>
     #S(SB-PCL::FAST-METHOD-CALL
        :FUNCTION #<FUNCTION #>
        :PV NIL
        :NEXT-METHOD-CALL #S(SB-PCL::FAST-METHOD-CALL
                             :FUNCTION #
                             :PV NIL
                             :NEXT-METHOD-CALL NIL
                             :ARG-INFO (1))
        :ARG-INFO (1))
     #<IN-PUSH spread://localhost:4803/ {1009AA0E33}>)
32: ((SB-PCL::FAST-METHOD RSB.TRANSPORT:RECEIVE-MESSAGES :AROUND
      (RSB.TRANSPORT.SPREAD::IN-PUSH-CONNECTOR))
     #<unavailable argument>
     #S(SB-PCL::FAST-METHOD-CALL
        :FUNCTION #<FUNCTION #>
        :PV NIL
        :NEXT-METHOD-CALL #S(SB-PCL::FAST-METHOD-CALL
                             :FUNCTION #
                             :PV NIL
                             :NEXT-METHOD-CALL #S(SB-PCL::FAST-METHOD-CALL
                                                  :FUNCTION #
                                                  :PV NIL
                                                  :NEXT-METHOD-CALL NIL
                                                  :ARG-INFO (1))
                             :ARG-INFO (1))
        :ARG-INFO (1))
     #<IN-PUSH spread://localhost:4803/ {1009AA0E33}>)
33: ((LAMBDA () :IN BORDEAUX-THREADS::BINDING-DEFAULT-SPECIALS))
34: ((FLET #:WITHOUT-INTERRUPTS-BODY-238228 :IN SB-THREAD:MAKE-THREAD))
35: ((FLET SB-THREAD::WITH-MUTEX-THUNK :IN SB-THREAD:MAKE-THREAD))
36: ((FLET #:WITHOUT-INTERRUPTS-BODY-88859 :IN SB-THREAD::CALL-WITH-MUTEX))
37: (SB-THREAD::CALL-WITH-MUTEX
     #<CLOSURE (FLET SB-THREAD::WITH-MUTEX-THUNK :IN SB-THREAD:MAKE-THREAD)
       {7FFFF54F6CCB}>
     #<SB-THREAD:MUTEX "thread result lock" 
         owner: #<SB-THREAD:THREAD
                  "Message Receiver for #<IN-PUSH spread://localhost:4803/ {1009AA0E33}>" RUNNING
                   {1009B29603}>>
     #<SB-THREAD:THREAD
       "Message Receiver for #<IN-PUSH spread://localhost:4803/ {1009AA0E33}>" RUNNING
        {1009B29603}>
     T)
38: (SB-THREAD::INITIAL-THREAD-FUNCTION)
39: ("foreign function: call_into_lisp")
40: ("foreign function: new_thread_trampoline")

unhandled condition in --disable-debugger mode, quitting
WARNING:
   Payload serialization format for wire-schema :|.rst.vision.Image| is not
   known. Channel format will only describe outer event serialization; not
   inner payload serialization.
2012-06-12T14:10:15.091069+02:00 #<SYNCHRONIZED-CHANNEL "/nao/vision/0/:.rst.vision.Image" (197) (RSB-EVENT-0.6
.rst.vision.Image) {1007D8D183}>
2012-06-12T14:10:25.288374+02:00 #<SYNCHRONIZED-CHANNEL "/nao/vision/0/:.rst.vision.Image" (391) (RSB-EVENT-0.6
.rst.vision.Image) {1007D8D183}>
^C[ WARN (RSBAG.TOOLS.RECORD) ]  Error during detaching of #<LISTENER /nao/vision/1/ |(0) 4A280C72>: Interrupt
thread failed: thread #<THREAD "Message Receiver for #<IN-PUSH spread://localhost:4803/ {1009AA0E33}>" ABORTED
{10092839F3}> has exited.
[ WARN (RSBAG.TOOLS.RECORD) ]  Error during detaching of #<LISTENER /nao/audio/all/ |(0) C68BF324>: Interrupt thread
failed: thread #<THREAD "Message Receiver for #<IN-PUSH spread://localhost:4803/ {1009B2FF53}>" ABORTED
{1008B32713}> has exited.

Some information about the affected system:

nao@pollux:~/Downloads$ uname -a
Linux pollux 3.0.0-19-generic #33-Ubuntu SMP Thu Apr 19 19:05:14 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux
nao@pollux:~/Downloads$ lsb_release -a
No LSB modules are available.
Distributor ID:    Ubuntu
Description:    Ubuntu 11.10
Release:    11.10
Codename:    oneiric
nao@pollux:~/Downloads$ bag-record --version
STYLE-WARNING: Undefined alien: "SSLv2_client_method" 
bag-record version    0.6.0
SBCL version          1.0.55
RSB version           0.6.0
RSBAG version         0.6.0
RSBAG-TIDELOG version 0.6.0

Please ask Jordi (INRIA) for further information. I will add him to project soon and also as watcher for this issue.

History
#1 - 06/12/2012 02:17 PM - J. Wienke

Hm, I cannot administer this project. Could you please add the whole humavips group as reporters to this project as they are using it and need to be
able to file bug reports.

#2 - 06/12/2012 02:21 PM - J. Moringen

Humavips group has been added.

#3 - 06/12/2012 02:55 PM - J. Wienke
- Status changed from New to Rejected

This was caused by an old version. A new download from the ci server works well.
#4 - 06/12/2012 02:59 PM - J. Moringen

For the record: the problem was a concurrency issue in cl-protobuf in which mutiple threads would manipulate the same pbb:context data structure.
This happened while emitting textual protocol buffer IDLs when creating multiple TIDELog channels in parallel.
